Description

In telemetry, "Cmd Function Code Echo" does not seem to work. It is always zero, for both the Prototype and EM. I don't think it ever

worked, but figure it should be raised as an issue now before I forget.

In telemetry, "Cmd Seq ID Echo" partially works. For the EM, the reported value in telemetry is only the lower 4 bits, i.e. if I set the

value to 15 in a command, I get 15 reported back in telemetry, as expected. But if I set the value to 16, I get 0 reported back. I

assumed this was an 8 bit value, since I don't see anything about it being 4 bits. Maybe even stranger, I always get 0 for this in

telemetry on the prototype.

History

#1 - 03/02/2018 08:51 AM - Greg Mathis

For whatever reason, today I can't get anything other than zero to show up for "Cmd Seq ID Echo" on the EM, in both the SOH telemetry packet and

the science data packet.

#2 - 03/05/2018 12:43 PM - Greg Mathis

FPGA version 4.24 has fixed these issues on the EM. Will test on Prototype soon (aka, when its FPGA is updated)

#3 - 03/08/2018 10:43 AM - Greg Mathis

For the Prototype, we never loaded FPGA version 4.24.

But we loaded version 4.25 and "Cmd Function Code Echo" and "Cmd Seq ID Echo" are now working in both SOH and Science telemetry packets.

#4 - 03/08/2018 10:44 AM - Greg Mathis

- Status changed from New to Closed

Closing ...
